# geos::index::bintree::Bintree Class Reference

An BinTree (or "Binary Interval Tree") is a 1-dimensional version of a quadtree. More...

`#include <Bintree.h>`

List of all members.

## Public Member Functions

int | depth ()
int | size ()
int | nodeSize ()
void | insert (Interval *itemInterval, void *item)
std::vector< void * > * | iterator ()
std::vector< void * > * | query (double x)
std::vector< void * > * | query (Interval *interval)
void | query (Interval *interval, std::vector< void * > *foundItems)

## Static Public Member Functions

static Interval * | ensureExtent (Interval *itemInterval, double minExtent)

## Detailed Description

An BinTree (or "Binary Interval Tree") is a 1-dimensional version of a quadtree.

It indexes 1-dimensional intervals (which of course may be the projection of 2-D objects on an axis). It supports range searching (where the range may be a single point).

This implementation does not require specifying the extent of the inserted items beforehand. It will automatically expand to accomodate any extent of dataset.

This index is different to the Interval Tree of Edelsbrunner or the Segment Tree of Bentley.

The documentation for this class was generated from the following file:

- Bintree.h